integral_constant.hpp File Reference

Defines the barebones `boost::hana::integral_constant` template, but no operations on it. More...

## Classes

struct | boost::hana::integral_constant_tag< T >
| Tag representing `hana::integral_constant`. More...
struct | boost::hana::integral_constant< T, v >
| Compile-time value of an integral type. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Defines the barebones `boost::hana::integral_constant` template, but no operations on it.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)